# InklessFlow

InklessFlow is an eIDAS compliant electronic signature tool for signing documents online. It provides a step-by-step interface for document signing with verification.

## Features

- Document upload (PDF, images, etc.)
- Electronic signature creation
- Date field addition
- Custom text field support
- Image upload
- Recipient management for multi-party signing
- Field placement on documents
- eIDAS compliance with OTP verification
- Document integrity verification with SHA-256 hashing

## Technology Stack

- HTML/CSS/JavaScript for the frontend
- PHP for backend processing
- PHPMailer for sending verification emails
- PDF.js for document rendering
- jsPDF for PDF generation

## Installation

1. Clone the repository
2. Set up a PHP server (version 7.4+ recommended)
3. Install dependencies with `composer install`
4. Configure the email settings in `config.php`
5. Ensure the `logs` directory is writable

## Usage

1. Upload a document
2. Add your signature
3. Add date, text fields, and images as needed
4. Add recipients if others need to sign
5. Place all fields on the document
6. Verify your identity with OTP
7. Download the signed document

## License

MIT License