// Add this to the signature-pad.js or create a new date-handling.js file

if (elements.documentDate) {
    // Set min and max date values
    elements.documentDate.min = "2024-01-01";
    elements.documentDate.max = "2100-12-31";
    
    elements.documentDate.addEventListener('change', function() {
        const selectedDate = new Date(this.value);
        const year = selectedDate.getFullYear();
        
        if (year < 2024 || year > 2100) {
            alert('Please select a date between 2024 and 2100');
            this.value = ''; // Reset the input
            return;
        }
        
        window.appState.selectedDate = this.value;
        const formattedDate = selectedDate.toLocaleDateString();
        if (elements.savedDate) {
            elements.savedDate.innerHTML = `<div>${formattedDate}</div>`;
        }
        if (elements.dateValue) {
            elements.dateValue.textContent = formattedDate;
        }
        if (typeof window.updateFieldAvailability === 'function') {
            window.updateFieldAvailability();
        }
    });
}